KinoSearch1::Analysis::LCNormalizer(3pm)

NAME
KinoSearch1::Analysis::LCNormalizer - convert input to lower case

SYNOPSIS
    my $lc_normalizer = KinoSearch1::Analysis::LCNormalizer->new;

    my $polyanalyzer = KinoSearch1::Analysis::PolyAnalyzer->new(
        analyzers => [ $lc_normalizer, $tokenizer, $stemmer ],
    );

DESCRIPTION
This class basically says lc($foo) in a longwinded way which KinoSearch1's Analysis apparatus can understand.

CONSTRUCTOR

  new
Construct a new LCNormalizer. Takes one labeled parameter, "language", though it's a no-op for now.

COPYRIGHT
Copyright 2005-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.